Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Class MuwsConstants

    java.lang.Object
      org.apache.muse.ws.dm.muws.MuwsConstants

public class MuwsConstants
extends java.lang.Object

MuwsConstants is a collection of properties that is useful when programming against the WSDM MUWS spec (parts 1 and 2), v1.1.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `ACCESS_EPR_QNAME`
`static QName` | `ADV_ME_CREATION_TOPIC`
`static QName` | `ADV_ME_DESTRUCTION_TOPIC`
`static QName` | `ADV_MR_CREATION_TOPIC`
`static QName` | `ADV_MR_DESTRUCTION_TOPIC`
`static java.lang.String` | `ADVERTISEMENT_URI` The WSDM Advertisement namespace URI.
`static java.lang.String` | `BASE_CAPABILITIES_URI` The base for all WSDM capability URIs.
`static QName` | `CALC_INTERVAL_QNAME`
`static QName` | `CAPABILITY_QNAME` MUWS Capability name, for defining capabilities in metadata.
`static QName` | `CAPTION_QNAME`
`static QName` | `CHANGE_TYPE_QNAME`
`static QName` | `CHARACTERISTICS_TOPIC`
`static java.lang.String` | `CHARACTERISTICS_URI` The WSDM ManageabilityCharacteristics namespace URI.
`static QName` | `CONFIGURATION_TOPIC`
`static java.lang.String` | `CONFIGURATION_URI` The WSDM Configuration namespace URI.
`static QName` | `CORRELATABLE_QNAME`
`static QName` | `CORRELATABLE_TOPIC`
`static java.lang.String` | `CORRELATABLE_URI` The WSDM CorrelatableProperties namespace URI.
`static java.lang.String` | `COUNTER`
`static QName` | `CREATE_NOTIFICATION_QNAME`
`static QName` | `CURRENT_TIME_QNAME`
`static QName` | `DESCRIPTION_QNAME`
`static QName` | `DESCRIPTION_TOPIC`
`static java.lang.String` | `DESCRIPTION_URI` The WSDM Description namespace URI.
`static QName` | `DESTROY_NOTIFICATION_QNAME`
`static java.lang.String` | `DIALECT`
`static java.lang.String` | `DURATION`
`static QName` | `ENTERED_QNAME`
`static QName` | `GATHERING_QNAME`
`static java.lang.String` | `GAUGE`
`static QName` | `IDENTITY_TOPIC`
`static java.lang.String` | `IDENTITY_URI` The WSDM Identity namespace URI.
`static java.lang.String` | `INTERVAL`
`static java.lang.String` | `LAST_UPDATED`
`static QName` | `MANAGEABILITY_CAPABILITY_QNAME`
`static QName` | `MANAGEABILITY_EPR_QNAME`
`static QName` | `MATCH_ALL_QNAME`
`static QName` | `MATCH_ANY_QNAME`
`static QName` | `MATCH_QNAME`
`static QName` | `METRIC_ATTRIBUTES_QNAME`
`static QName` | `METRIC_GROUP_QNAME`
`static QName` | `METRICS_TOPIC`
`static java.lang.String` | `METRICS_URI` The WSDM Metrics namespace URI.
`static java.lang.String` | `MUWS_EVENTS_PREFIX` The prefix of the WS-N TopicNamespace for all WSDM Topics.
`static java.lang.String` | `MUWS_EVENTS_URI` The namespace of the WS-N TopicNamespace for all WSDM Topics.
`static java.lang.String` | `MUWS_P1_PREFIX`
`static java.lang.String` | `MUWS_P1_URI`
`static java.lang.String` | `MUWS_P2_PREFIX`
`static java.lang.String` | `MUWS_P2_URI`
`static java.lang.String` | `MUWS_TOPIC_NS`
`static java.lang.String` | `MUWS_WSDL_URI`
`static QName` | `NAME_QNAME`
`static java.lang.String` | `NEGATIVE`
`static java.lang.String` | `ON_CHANGE`
`static java.lang.String` | `ON_DEMAND`
`static QName` | `OP_STATUS_QNAME`
`static QName` | `OP_STATUS_TOPIC`
`static java.lang.String` | `OP_STATUS_URI` The WSDM OperationalStatus namespace URI.
`static QName` | `PARTICIPANT_QNAME`
`static java.lang.String` | `PBM_PREFIX`
`static java.lang.String` | `PBM_URI` The CorrelatableProperties "Property Boolean Match" URI.
`static java.lang.String` | `PERIODIC`
`static java.lang.String` | `POINT_IN_TIME`
`static QName` | `PREVIOUS_QNAME`
`static QName` | `QUERY_RELATIONSHIPS_QNAME`
`static java.lang.String` | `QUERY_RELATIONSHIPS_URI`
`static QName` | `QUERY_RESPONSE_QNAME`
`static QName` | `RELATIONSHIP_QNAME`
`static QName` | `RELATIONSHIP_RESOURCE_TOPIC`
`static java.lang.String` | `RELATIONSHIP_RESOURCE_URI` The WSDM RelationshipResource namespace URI.
`static QName` | `RELATIONSHIPS_TOPIC`
`static java.lang.String` | `RELATIONSHIPS_URI` The WSDM Relationships namespace URI.
`static QName` | `REQUESTED_TYPE_QNAME`
`static java.lang.String` | `RESET_AT`
`static QName` | `RESOURCE_ID_QNAME`
`static QName` | `ROLE_QNAME`
`static java.lang.String` | `SINCE_RESET`
`static QName` | `STATE_QNAME`
`static QName` | `STATE_TOPIC`
`static java.lang.String` | `STATE_URI` The WSDM State namespace URI.
`static java.lang.String` | `TIME`
`static QName` | `TIME_SCOPE_QNAME`
`static QName` | `TRANSITION_QNAME`
`static QName` | `TYPE_QNAME`
`static java.lang.String` | `UNKNOWN`
`static QName` | `VERSION_QNAME`

Constructor Summary
`MuwsConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE_CAPABILITIES_URI

    public static final java.lang.String BASE_CAPABILITIES_URI

  The base for all WSDM capability URIs.

  See Also:
    Constant Field Values

### ADVERTISEMENT_URI

    public static final java.lang.String ADVERTISEMENT_URI

  The WSDM Advertisement namespace URI.

  See Also:
    Constant Field Values

### CHARACTERISTICS_URI

    public static final java.lang.String CHARACTERISTICS_URI

  The WSDM ManageabilityCharacteristics namespace URI.

  See Also:
    Constant Field Values

### CONFIGURATION_URI

    public static final java.lang.String CONFIGURATION_URI

  The WSDM Configuration namespace URI.

  See Also:
    Constant Field Values

### CORRELATABLE_URI

    public static final java.lang.String CORRELATABLE_URI

  The WSDM CorrelatableProperties namespace URI.

  See Also:
    Constant Field Values

### DESCRIPTION_URI

    public static final java.lang.String DESCRIPTION_URI

  The WSDM Description namespace URI.

  See Also:
    Constant Field Values

### IDENTITY_URI

    public static final java.lang.String IDENTITY_URI

  The WSDM Identity namespace URI.

  See Also:
    Constant Field Values

### METRICS_URI

    public static final java.lang.String METRICS_URI

  The WSDM Metrics namespace URI.

  See Also:
    Constant Field Values

### OP_STATUS_URI

    public static final java.lang.String OP_STATUS_URI

  The WSDM OperationalStatus namespace URI.

  See Also:
    Constant Field Values

### RELATIONSHIPS_URI

    public static final java.lang.String RELATIONSHIPS_URI

  The WSDM Relationships namespace URI.

  See Also:
    Constant Field Values

### RELATIONSHIP_RESOURCE_URI

    public static final java.lang.String RELATIONSHIP_RESOURCE_URI

  The WSDM RelationshipResource namespace URI.

  See Also:
    Constant Field Values

### STATE_URI

    public static final java.lang.String STATE_URI

  The WSDM State namespace URI.

  See Also:
    Constant Field Values

### PBM_URI

    public static final java.lang.String PBM_URI

  The CorrelatableProperties "Property Boolean Match" URI.

  See Also:
    Constant Field Values

### PBM_PREFIX

    public static final java.lang.String PBM_PREFIX

See Also:
  Constant Field Values

### MATCH_QNAME

    public static final QName MATCH_QNAME

### MATCH_ALL_QNAME

    public static final QName MATCH_ALL_QNAME

### MATCH_ANY_QNAME

    public static final QName MATCH_ANY_QNAME

### DIALECT

    public static final java.lang.String DIALECT

See Also:
  Constant Field Values

### NEGATIVE

    public static final java.lang.String NEGATIVE

See Also:
  Constant Field Values

### MUWS_EVENTS_PREFIX

    public static final java.lang.String MUWS_EVENTS_PREFIX

  The prefix of the WS-N TopicNamespace for all WSDM Topics.

  See Also:
    Constant Field Values

### MUWS_EVENTS_URI

    public static final java.lang.String MUWS_EVENTS_URI

  The namespace of the WS-N TopicNamespace for all WSDM Topics.

  See Also:
    Constant Field Values

### MUWS_TOPIC_NS

    public static final java.lang.String MUWS_TOPIC_NS

See Also:
  Constant Field Values

### MUWS_WSDL_URI

    public static final java.lang.String MUWS_WSDL_URI

See Also:
  Constant Field Values

### MUWS_P1_PREFIX

    public static final java.lang.String MUWS_P1_PREFIX

See Also:
  Constant Field Values

### MUWS_P1_URI

    public static final java.lang.String MUWS_P1_URI

See Also:
  Constant Field Values

### MUWS_P2_PREFIX

    public static final java.lang.String MUWS_P2_PREFIX

See Also:
  Constant Field Values

### MUWS_P2_URI

    public static final java.lang.String MUWS_P2_URI

See Also:
  Constant Field Values

### RESOURCE_ID_QNAME

    public static final QName RESOURCE_ID_QNAME

### MANAGEABILITY_EPR_QNAME

    public static final QName MANAGEABILITY_EPR_QNAME

### CAPABILITY_QNAME

    public static final QName CAPABILITY_QNAME

  MUWS Capability name, for defining capabilities in metadata. Don't confuse this with the ManageabilityCharacteristics property name: ManageabilityCapability.

### CURRENT_TIME_QNAME

    public static final QName CURRENT_TIME_QNAME

### METRIC_ATTRIBUTES_QNAME

    public static final QName METRIC_ATTRIBUTES_QNAME

### RESET_AT

    public static final java.lang.String RESET_AT

See Also:
  Constant Field Values

### DURATION

    public static final java.lang.String DURATION

See Also:
  Constant Field Values

### LAST_UPDATED

    public static final java.lang.String LAST_UPDATED

See Also:
  Constant Field Values

### METRIC_GROUP_QNAME

    public static final QName METRIC_GROUP_QNAME

### CALC_INTERVAL_QNAME

    public static final QName CALC_INTERVAL_QNAME

### CHANGE_TYPE_QNAME

    public static final QName CHANGE_TYPE_QNAME

### COUNTER

    public static final java.lang.String COUNTER

See Also:
  Constant Field Values

### GAUGE

    public static final java.lang.String GAUGE

See Also:
  Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

### GATHERING_QNAME

    public static final QName GATHERING_QNAME

### ON_CHANGE

    public static final java.lang.String ON_CHANGE

See Also:
  Constant Field Values

### ON_DEMAND

    public static final java.lang.String ON_DEMAND

See Also:
  Constant Field Values

### PERIODIC

    public static final java.lang.String PERIODIC

See Also:
  Constant Field Values

### TIME_SCOPE_QNAME

    public static final QName TIME_SCOPE_QNAME

### INTERVAL

    public static final java.lang.String INTERVAL

See Also:
  Constant Field Values

### POINT_IN_TIME

    public static final java.lang.String POINT_IN_TIME

See Also:
  Constant Field Values

### SINCE_RESET

    public static final java.lang.String SINCE_RESET

See Also:
  Constant Field Values

### QUERY_RELATIONSHIPS_URI

    public static final java.lang.String QUERY_RELATIONSHIPS_URI

See Also:
  Constant Field Values

### RELATIONSHIP_QNAME

    public static final QName RELATIONSHIP_QNAME

### NAME_QNAME

    public static final QName NAME_QNAME

### TYPE_QNAME

    public static final QName TYPE_QNAME

### ACCESS_EPR_QNAME

    public static final QName ACCESS_EPR_QNAME

### PARTICIPANT_QNAME

    public static final QName PARTICIPANT_QNAME

### ROLE_QNAME

    public static final QName ROLE_QNAME

### QUERY_RELATIONSHIPS_QNAME

    public static final QName QUERY_RELATIONSHIPS_QNAME

### QUERY_RESPONSE_QNAME

    public static final QName QUERY_RESPONSE_QNAME

### REQUESTED_TYPE_QNAME

    public static final QName REQUESTED_TYPE_QNAME

### CREATE_NOTIFICATION_QNAME

    public static final QName CREATE_NOTIFICATION_QNAME

### DESTROY_NOTIFICATION_QNAME

    public static final QName DESTROY_NOTIFICATION_QNAME

### ADV_ME_CREATION_TOPIC

    public static final QName ADV_ME_CREATION_TOPIC

### ADV_MR_CREATION_TOPIC

    public static final QName ADV_MR_CREATION_TOPIC

### ADV_ME_DESTRUCTION_TOPIC

    public static final QName ADV_ME_DESTRUCTION_TOPIC

### ADV_MR_DESTRUCTION_TOPIC

    public static final QName ADV_MR_DESTRUCTION_TOPIC

### CHARACTERISTICS_TOPIC

    public static final QName CHARACTERISTICS_TOPIC

### CONFIGURATION_TOPIC

    public static final QName CONFIGURATION_TOPIC

### CORRELATABLE_TOPIC

    public static final QName CORRELATABLE_TOPIC

### DESCRIPTION_TOPIC

    public static final QName DESCRIPTION_TOPIC

### IDENTITY_TOPIC

    public static final QName IDENTITY_TOPIC

### METRICS_TOPIC

    public static final QName METRICS_TOPIC

### OP_STATUS_TOPIC

    public static final QName OP_STATUS_TOPIC

### RELATIONSHIPS_TOPIC

    public static final QName RELATIONSHIPS_TOPIC

### RELATIONSHIP_RESOURCE_TOPIC

    public static final QName RELATIONSHIP_RESOURCE_TOPIC

### STATE_TOPIC

    public static final QName STATE_TOPIC

### CORRELATABLE_QNAME

    public static final QName CORRELATABLE_QNAME

### CAPTION_QNAME

    public static final QName CAPTION_QNAME

### DESCRIPTION_QNAME

    public static final QName DESCRIPTION_QNAME

### VERSION_QNAME

    public static final QName VERSION_QNAME

### MANAGEABILITY_CAPABILITY_QNAME

    public static final QName MANAGEABILITY_CAPABILITY_QNAME

### OP_STATUS_QNAME

    public static final QName OP_STATUS_QNAME

### STATE_QNAME

    public static final QName STATE_QNAME

### TRANSITION_QNAME

    public static final QName TRANSITION_QNAME

### PREVIOUS_QNAME

    public static final QName PREVIOUS_QNAME

### ENTERED_QNAME

    public static final QName ENTERED_QNAME

### TIME

    public static final java.lang.String TIME

See Also:
  Constant Field Values

Constructor Detail

### MuwsConstants

    public MuwsConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD